#ifndef CERTIFICATETABLEMODEL_H
#define CERTIFICATETABLEMODEL_H

/**
 * @file certificatetablemodel.h
 * @brief Table model for certificates.
 */

#include <QAbstractTableModel>
#include <QString>
#include "certificate.h"

class CertificateTabelModel : public QAbstractTableModel
{
    Q_OBJECT

public:
    CertificateTabelModel(QObject *parent = 0);

    void addCertificate(const Certificate &certificate, bool editable);
    bool removeRows(int row, int count, const QModelIndex&);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;

    QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    bool setData(const QModelIndex &index, const QVariant &value,
        int role = Qt::EditRole);
    QVariant headerData(int section, Qt::Orientation orientation,
        int role = Qt::DisplayRole) const;

    Qt::ItemFlags flags(const QModelIndex &index) const;

private:
    QList<Certificate> certificates;
    QList<QString> header;
};

#endif
